AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager.Response
ManagerResponse Class
ManagerResponse Constructor
ManagerResponse Fields
ManagerResponse Methods
ManagerResponse Properties

| ManagerResponse Class

Represents a response received from the Asterisk server as the result of a previously sent ManagerAction.
The response can be linked with the action that caused it by looking the action id attribute that will match the action id of the corresponding action.
Inheritance Hierarchy
System
Object
AsterNET.Manager.Response
ManagerResponse
More...

Namespace: AsterNET.Manager.Response
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ManagerResponse : IParseSupport

    Public Class ManagerResponse
    	Implements IParseSupport

    public ref class ManagerResponse : IParseSupport

    type ManagerResponse =
        class
            interface IParseSupport
        end

The ManagerResponse type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ManagerResponse | Initializes a new instance of the ManagerResponse class
| ManagerResponse(Dictionary String, String ) | Initializes a new instance of the ManagerResponse class

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetAttribute | Returns the value of the attribute with the given key. This is particulary important when a response contains special attributes that are dependent on the action that has been sent. An example of this is the response to the GetVarAction. It contains the value of the channel variable as an attribute stored under the key of the variable name. Example:
                        GetVarAction action = new GetVarAction();
                        action.setChannel("SIP/1310-22c3");
                        action.setVariable("ALERT_INFO");
                        ManagerResponse response = connection.SendAction(action);
                        String alertInfo = response.getAttribute("ALERT_INFO");
As all attributes are internally stored in lower case the key is automatically converted to lower case before lookup.
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| IsSuccess | Return true if Response is success
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| Parse | Unknown properties parser
| ParseSpecial | Unknown properties parser
| ToString | (Overrides Object ToString .)

Top
Fields

| Name | Description
--- | --- | ---
| attributes |

Top
Properties

| Name | Description
--- | --- | ---
| ActionId | Get/Set the action id received with this response referencing the action that generated this response.
| Attributes | Store all unknown (without setter) keys from manager event. Use in default Parse method Parse(String, String).
| DateReceived | Get/Set the point in time this response was received from the asterisk server.
| Message | Get/Set the message received with this response. The content depends on the action that generated this response.
| Privilege | Get/Set the AMI authorization class of this event. This is one or more of system, call, log, verbose, command, agent or user. Multiple privileges are separated by comma. Note: This property is not available from Asterisk 1.0 servers.
| Response | Get/Set the value of the "Response:" line. This typically a String like "Success" or "Error" but depends on the action that generated this response.
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations.
| UniqueId | Get/Set the unique id received with this response. The unique id is used to keep track of channels created by the action sent, for example an OriginateAction.

Top
See Also

#### Reference

AsterNET.Manager.Response Namespace
Inheritance Hierarchy
System
Object
AsterNET.Manager.Response
ManagerResponse
AsterNET.Manager.Response
ChallengeResponse
AsterNET.Manager.Response
CommandResponse
AsterNET.Manager.Response
ExtensionStateResponse
AsterNET.Manager.Response
GetConfigResponse
AsterNET.Manager.Response
MailboxCountResponse
AsterNET.Manager.Response
MailboxStatusResponse
AsterNET.Manager.Response
ManagerError